commit:     a15772b28d2913de0f5c6b192e867f99c10962ac
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Sun Jul  1 15:01:17 2018 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Sun Jul  1 15:06:48 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a15772b2

media-gfx/qiv: version bump to 2.3.2

Closes: https://bugs.gentoo.org/582404

 media-gfx/qiv/Manifest                            |  1 +
 media-gfx/qiv/files/qiv-2.3.2-optional-tiff.patch | 22 +++++++
 media-gfx/qiv/metadata.xml                        |  3 +
 media-gfx/qiv/qiv-2.3.2.ebuild                    | 71 +++++++++++++++++++++++
 4 files changed, 97 insertions(+)

diff --git a/media-gfx/qiv/Manifest b/media-gfx/qiv/Manifest
index 72f567872a6..7d53b345f3e 100644
--- a/media-gfx/qiv/Manifest
+++ b/media-gfx/qiv/Manifest
@@ -1,2 +1,3 @@
 DIST qiv-2.2.4.tgz 98874 BLAKE2B 
150ea07881d8225801156d395696cef397210e1f5c2f974d08197f3429e1a7e19ebf283037b92cec40a973aa6748f1562dbeba1a6e854438cf069c70781e1561
 SHA512 
744014ff70c9397d7a90e60740f482976713c9e5ff295a03684ae7b50ae70b86589d9e9066702fd43241bf2767c3537f582aab5ebbde25caea1663ec825f76a5
 DIST qiv-2.3.1.tgz 130621 BLAKE2B 
7aa3a63fb83094d4b0a15c4d6422ccf35f34a16df2f0e644a2068c520024b2a22f724ed117ef90292359fb8372969511863b6b0a2ccb0d208bad12649333f993
 SHA512 
5a9b8ac082c78071c903e2f10a98effc412c0b6b940437b6592077978de03b5c7b6192e4d696f0389c12e99e0d3b5ca40c3be54ca2dfa5439121af2415f32812
+DIST qiv-2.3.2.tar.gz 135164 BLAKE2B 
b6b82c3007cd3214bb0b812026d22ab0a3c7fce87e51c1f2e19634fe131656f7adc1e92d2e1fcdcc563f1fd8b7c298307e48823bb26e077b336a6983f31894ac
 SHA512 
a6750ecf26bc5b78fbebfdfcfd7a8ab0a5d3ba4e4b19c4a5563e1631dfaf8cc98f7a0bc9449956bc06f8b98cb307b31f78178676ddc9df4fa03429fa31c174e8

diff --git a/media-gfx/qiv/files/qiv-2.3.2-optional-tiff.patch 
b/media-gfx/qiv/files/qiv-2.3.2-optional-tiff.patch
new file mode 100644
index 00000000000..e00ad10f93e
--- /dev/null
+++ b/media-gfx/qiv/files/qiv-2.3.2-optional-tiff.patch
@@ -0,0 +1,22 @@
+Make tiff header usage conditional on LCMS support as intended.
+
+--- ciberandy-qiv-14b562fe2fc3/qiv.h
++++ ciberandy-qiv-14b562fe2fc3/qiv.h
+@@ -12,6 +12,7 @@
+ #ifdef SUPPORT_LCMS
+ #include <lcms2.h>
+ #include <jpeglib.h>
++#include <tiffio.h>
+ #endif
+ 
+ /*
+--- ciberandy-qiv-14b562fe2fc3/utils.c
++++ ciberandy-qiv-14b562fe2fc3/utils.c
+@@ -17,7 +17,6 @@
+ #include <dirent.h>
+ #include <fcntl.h>
+ #include <errno.h>
+-#include <tiffio.h>
+ #include <X11/extensions/dpms.h>
+ #ifdef HAVE_EXIF
+ #include <libexif/exif-loader.h>

diff --git a/media-gfx/qiv/metadata.xml b/media-gfx/qiv/metadata.xml
index 9cc5dff0ad5..55247542f39 100644
--- a/media-gfx/qiv/metadata.xml
+++ b/media-gfx/qiv/metadata.xml
@@ -8,4 +8,7 @@
        <use>
                <flag name="magic">Use libmagic to determine mimetypes</flag>
        </use>
+       <upstream>
+               <remote-id type="bitbucket">ciberandy/qiv</remote-id>
+       </upstream>
 </pkgmetadata>

diff --git a/media-gfx/qiv/qiv-2.3.2.ebuild b/media-gfx/qiv/qiv-2.3.2.ebuild
new file mode 100644
index 00000000000..0b0984e667e
--- /dev/null
+++ b/media-gfx/qiv/qiv-2.3.2.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit desktop gnome2-utils toolchain-funcs xdg-utils vcs-snapshot
+
+DESCRIPTION="Quick Image Viewer"
+HOMEPAGE="http://spiegl.de/qiv/ https://bitbucket.org/ciberandy/qiv";
+SRC_URI="https://bitbucket.org/ciberandy/qiv/get/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~x86"
+IUSE="exif lcms magic"
+
+RDEPEND=">=x11-libs/gtk+-2.12:2
+       media-libs/imlib2[X]
+       exif? ( media-libs/libexif )
+       lcms? (
+               media-libs/lcms:2
+               media-libs/tiff:0
+               virtual/jpeg:0
+       )
+       magic? ( sys-apps/file )"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+PATCHES=( "${FILESDIR}"/${P}-optional-tiff.patch )
+
+src_prepare() {
+       default
+
+       sed -i \
+               -e 's:$(CC) $(CFLAGS):$(CC) $(LDFLAGS) $(CFLAGS):' \
+               Makefile || die
+
+       if ! use exif ; then
+               sed -i 's/^EXIF =/#\0/' Makefile || die
+       fi
+
+       if ! use lcms ; then
+               sed -i 's/^LCMS =/#\0/' Makefile || die
+       fi
+
+       if ! use magic ; then
+               sed -i 's/^MAGIC =/#\0/' Makefile || die
+       fi
+}
+
+src_compile() {
+       emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
+}
+
+src_install() {
+       dobin qiv
+       doman qiv.1
+       dodoc Changelog contrib/qiv-command.example README README.TODO
+
+       domenu qiv.desktop
+       doicon qiv.png
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       gnome2_icon_cache_update
+}

Reply via email to